Retrieves the equipment_brand object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
equipment_brand| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the equipment brand |
string |
Required Max length: 50 |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "0c3d405b-02d0-4051-aa7a-833f7271c8d4",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "3c7593e3-2b5d-4a7e-a20b-7c9e5fc8fc5b",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "4ade3a07-586c-4973-ac5c-03f4313a2a2b",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "3851be8c-848f-4d03-916c-a4a013d04ab9",
"db_currency_id": "2f2dab82-4803-417b-b985-3036bd7b7a81",
"db_language_id": "7a443161-b20f-4fcd-bf16-913d1d7317c3",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-07-25T11:24:19.1960295+00:00"
},
"modified_dateutc": "2026-07-25T11:24:19.1960295+00:00"
}